/*
 * Copyright (c) 2012 Jeremy Goetsch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.jgoetsch.tradeframework.order.commissions;

import com.jgoetsch.tradeframework.Contract;
import com.jgoetsch.tradeframework.Execution;

public class IBCommissions implements CommissionStructure {

	public double getCommissions(Contract contract, Execution exec) {
		return Math.max(Math.min(exec.getQuantity() * 0.005, exec.getQuantity() * exec.getPrice() * 0.005), 1);
	}

}
